Bug 496528 - Xorg crashes randomly w/ Backtrace and Infinite loop messages
Xorg crashes randomly w/ Backtrace and Infinite loop messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 19:18 EDT by Nigel Jones
Modified: 2009-12-18 04:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:17:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log file after 'crash' (294.90 KB, text/plain)
2009-04-19 19:21 EDT, Nigel Jones
no flags Details

  None (edit)
Description Nigel Jones 2009-04-19 19:18:59 EDT
Description of problem:
Xorg crashes randomly with an Xorg backtrace and the following infinite loop messages:

[mi] mieqEnequeue: out-of-order valuator event; dropping.
[mi] EQ overflowing. The server is probably stuck in an infinite loop.


Version-Release number of selected component (if applicable):
$ rpm -qa | grep xorg-x11 | sort
xorg-x11-apps-7.3-5.fc10.x86_64
xorg-x11-drivers-7.3-9.fc10.x86_64
xorg-x11-drv-acecad-1.2.2-1.fc9.x86_64
xorg-x11-drv-aiptek-1.1.1-1.fc9.x86_64
xorg-x11-drv-apm-1.2.0-1.fc9.x86_64
xorg-x11-drv-ast-0.85.0-1.fc9.x86_64
xorg-x11-drv-ati-6.10.0-2.fc10.x86_64
xorg-x11-drv-calcomp-1.1.2-1.fc9.x86_64
xorg-x11-drv-cirrus-1.2.0-1.fc9.x86_64
xorg-x11-drv-citron-2.2.1-1.fc9.x86_64
xorg-x11-drv-diamondtouch-0.2.0-0.1.fc9.x86_64
xorg-x11-drv-digitaledge-1.1.1-1.fc9.x86_64
xorg-x11-drv-dmc-1.1.2-1.fc9.x86_64
xorg-x11-drv-dummy-0.3.0-1.fc9.x86_64
xorg-x11-drv-dynapro-1.1.2-1.fc9.x86_64
xorg-x11-drv-elographics-1.2.3-1.fc10.x86_64
xorg-x11-drv-evdev-2.1.3-1.fc10.x86_64
xorg-x11-drv-fbdev-0.3.1-7.fc9.x86_64
xorg-x11-drv-fpit-1.2.0-1.fc9.x86_64
xorg-x11-drv-glint-1.2.1-1.fc9.x86_64
xorg-x11-drv-hyperpen-1.2.0-1.fc9.x86_64
xorg-x11-drv-i128-1.3.0-1.fc9.x86_64
xorg-x11-drv-i740-1.2.0-1.fc9.x86_64
xorg-x11-drv-i810-2.5.0-4.fc10.x86_64
xorg-x11-drv-jamstudio-1.2.0-1.fc9.x86_64
xorg-x11-drv-keyboard-1.3.2-1.fc10.x86_64
xorg-x11-drv-mach64-6.8.0-1.fc10.x86_64
xorg-x11-drv-magellan-1.2.0-1.fc9.x86_64
xorg-x11-drv-mga-1.4.9-1.fc9.x86_64
xorg-x11-drv-microtouch-1.2.0-1.fc9.x86_64
xorg-x11-drv-mouse-1.3.0-2.fc9.x86_64
xorg-x11-drv-mutouch-1.2.1-1.fc10.x86_64
xorg-x11-drv-nouveau-0.0.11-1.20090106git133c1a5.fc10.x86_64
xorg-x11-drv-nv-2.1.12-6.fc10.x86_64
xorg-x11-drv-openchrome-0.2.903-5.fc10.x86_64
xorg-x11-drv-palmax-1.2.0-1.fc9.x86_64
xorg-x11-drv-penmount-1.4.0-1.fc10.x86_64
xorg-x11-drv-r128-6.8.0-1.fc10.x86_64
xorg-x11-drv-rendition-4.2.0-1.fc9.x86_64
xorg-x11-drv-s3virge-1.10.0-1.fc9.x86_64
xorg-x11-drv-savage-2.2.0-2.fc9.x86_64
xorg-x11-drv-siliconmotion-1.6.0-1.fc9.x86_64
xorg-x11-drv-sis-0.10.0-1.fc9.x86_64
xorg-x11-drv-sisusb-0.9.0-1.fc9.x86_64
xorg-x11-drv-spaceorb-1.1.0-6.fc9.x86_64
xorg-x11-drv-summa-1.2.0-2.fc10.x86_64
xorg-x11-drv-synaptics-0.15.2-4.fc10.x86_64
xorg-x11-drv-tdfx-1.4.0-1.fc9.x86_64
xorg-x11-drv-tek4957-1.2.0-1.fc9.x86_64
xorg-x11-drv-trident-1.3.0-1.fc9.x86_64
xorg-x11-drv-ur98-1.1.0-5.fc9.x86_64
xorg-x11-drv-v4l-0.2.0-1.fc9.x86_64
xorg-x11-drv-vesa-2.2.0-3.fc10.x86_64
xorg-x11-drv-vmmouse-12.6.3-3.fc10.x86_64
xorg-x11-drv-vmware-10.16.0-1.fc9.x86_64
xorg-x11-drv-void-1.1.1-9.fc9.x86_64
xorg-x11-drv-voodoo-1.2.0-1.fc9.x86_64
xorg-x11-drv-wiimote-0.0.1-1.fc9.x86_64
xorg-x11-filesystem-7.3-2.fc10.noarch
xorg-x11-font-utils-7.2-6.fc10.x86_64
xorg-x11-server-common-1.5.3-15.fc10.x86_64
xorg-x11-server-utils-7.4-3.fc10.x86_64
xorg-x11-server-Xorg-1.5.3-15.fc10.x86_64
xorg-x11-utils-7.4-3.fc10.x86_64
xorg-x11-xauth-1.0.2-5.fc10.x86_64
xorg-x11-xinit-1.0.9-4.fc10.x86_64
xorg-x11-xkb-utils-7.2-7.fc10.x86_64

How reproducible:
Randomly.

Steps to Reproduce:
1. None at this stage, but this crash happened while using Firefox, a previous crash happened while using Zimbra Desktop, can't remember about others, I think they were similar situations to...
  
Actual results:
X Server hangs, mouse still works but all other components stop.  Cannot switch VTs either, can SSH in though.

Expected results:
Nice and stable Xorg.

Additional info:
As above this seems to happen with programs that use xulrunner, so just in case this bug is with xulrunner;
$ rpm -qa | grep xulrunner
xulrunner-1.9.0.7-1.fc10.i386
xulrunner-1.9.0.7-1.fc10.x86_64
Comment 1 Nigel Jones 2009-04-19 19:21:09 EDT
Created attachment 340263 [details]
Xorg.0.log file after 'crash'

Attaching log file.
Comment 2 Matěj Cepl 2009-04-20 12:17:17 EDT
Lovely backtrace:

mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e7c96]
1: /usr/bin/Xorg(mieqEnqueue+0x291) [0x4c87d1]
2: /usr/bin/Xorg(xf86PostMotionEventP+0xc4) [0x4914c4]
3: /usr/bin/Xorg(xf86PostMotionEvent+0xa9) [0x491699]
4: /usr/lib64/xorg/modules/input//evdev_drv.so [0x7feacda00472]
5: /usr/bin/Xorg [0x47a795]
6: /usr/bin/Xorg [0x46b337]
7: /lib64/libc.so.6 [0x392e232f90]
8: /usr/lib64/xorg/modules/drivers//nv_drv.so(G80DispCommand+0x56) [0x7feae0025cc6]
9: /usr/lib64/xorg/modules/drivers//nv_drv.so [0x7feae002638d]
10: /usr/bin/Xorg [0x4a5c2e]
11: /usr/bin/Xorg(xf86SetCursor+0x107) [0x4ad0a7]
12: /usr/bin/Xorg [0x4ac616]
13: /usr/bin/Xorg(miPointerUpdateSprite+0x190) [0x4d1420]
14: /usr/bin/Xorg [0x4d14e2]
15: /usr/bin/Xorg [0x4fc698]
16: /usr/bin/Xorg [0x51d017]
17: /usr/bin/Xorg [0x4f7581]
18: /usr/bin/Xorg(BlockHandler+0x50) [0x44a350]
19: /usr/bin/Xorg(WaitForSomething+0x161) [0x4e5121]
20: /usr/bin/Xorg(Dispatch+0x7f) [0x44661f]
21: /usr/bin/Xorg(main+0x45d) [0x42cd4d]
22: /lib64/libc.so.6(__libc_start_main+0xe6) [0x392e21e576]
23: /usr/bin/Xorg [0x42c129]
Comment 3 Bug Zapper 2009-11-18 06:47:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:17:28 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.